/*******************************************************************************
* File Name          : system_it.h
* Version            : V1.0
* Date				 : 2009/06/23
* Description        : Interruption Handler difinition file
*******************************************************************************/

#ifndef __SYSTEM_IT_H
#define __SYSTEM_IT_H

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif

void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

void INT0_Handler(void);
void INT1_Handler(void);
void INT2_Handler(void);
void INT3_Handler(void);
void INT4_Handler(void);
void INT5_Handler(void);
void INTRX0_Handler(void);
void INTTX0_Handler(void);
void INTRX1_Handler(void);
void INTTX1_Handler(void);
void INTVCNA_Handler(void);
void INTVCNB_Handler(void);
void INTEMG0_Handler(void);
void INTEMG1_Handler(void);
void INTOVV0_Handler(void);
void INTOVV1_Handler(void);
void INTAD0PDA_Handler(void);
void INTAD1PDA_Handler(void);
void INTAD0PDB_Handler(void);
void INTAD1PDB_Handler(void);
void INTTB00_Handler(void);
void INTTB01_Handler(void);
void INTTB10_Handler(void);
void INTTB11_Handler(void);
void INTTB40_Handler(void);
void INTTB41_Handler(void);
void INTTB50_Handler(void);
void INTTB51_Handler(void);
void INTPMD0_Handler(void);
void INTPMD1_Handler(void);
void INTCAP00_Handler(void);
void INTCAP01_Handler(void);
void INTCAP10_Handler(void);
void INTCAP11_Handler(void);
void INTCAP40_Handler(void);
void INTCAP41_Handler(void);
void INTCAP50_Handler(void);
void INTCAP51_Handler(void);
void INT6_Handler(void);
void INT7_Handler(void);
void INTRX2_Handler(void);
void INTTX2_Handler(void);
void INTAD0CPA_Handler(void);
void INTAD1CPA_Handler(void);
void INTAD0CPB_Handler(void);
void INTAD1CPB_Handler(void);
void INTTB20_Handler(void);
void INTTB21_Handler(void);
void INTTB30_Handler(void);
void INTTB31_Handler(void);
void INTCAP20_Handler(void);
void INTCAP21_Handler(void);
void INTCAP30_Handler(void);
void INTCAP31_Handler(void);
void INTAD0SFT_Handler(void);
void INTAD1SFT_Handler(void);
void INTAD0TMR_Handler(void);
void INTAD1TMR_Handler(void);
void INT8_Handler(void);
void INT9_Handler(void);
void INTA_Handler(void);
void INTB_Handler(void);
void INTENC0_Handler(void);
void INTENC1_Handler(void);
void INTRX3_Handler(void);
void INTTX3_Handler(void);
void INTTB60_Handler(void);
void INTTB61_Handler(void);
void INTTB70_Handler(void);
void INTTB71_Handler(void);
void INTCAP60_Handler(void);
void INTCAP61_Handler(void);
void INTCAP70_Handler(void);
void INTCAP71_Handler(void);
void INTC_Handler(void);
void INTD_Handler(void);
void INTE_Handler(void);
void INTF_Handler(void);


/*===================================================================*
      Proto Type Definition
 *===================================================================*/

EXTERN	void Out_data();
EXTERN	void INTEMG0();
EXTERN	void INTAD0();
EXTERN	void INTPMD0();
EXTERN	void INTVCA();


#undef EXTERN
#endif /* __SYSTEM_IT_H */

/******************************** END OF FILE *********************************/
