/*******************************************************************************
* File Name          : vector.c
* Version            : V1.0
* Date				 : 2009/05/xx
* Description        : Vector Table
*******************************************************************************/

typedef void( *intfunc )( void );
typedef union { intfunc __fun; void * __ptr; } intvec_elem;

#pragma segment="CSTACK"
void __iar_program_start(void);
void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

void INT0_Handler(void);
void INT1_Handler(void);
void INT2_Handler(void);
void INT3_Handler(void);
void INT4_Handler(void);
void INT5_Handler(void);
void INTRX0_Handler(void);
void INTTX0_Handler(void);
void INTRX1_Handler(void);
void INTTX1_Handler(void);
void INTVCNA_Handler(void);
void INTVCNB_Handler(void);
void INTEMG0_Handler(void);
void INTEMG1_Handler(void);
void INTOVV0_Handler(void);
void INTOVV1_Handler(void);
void INTAD0PDA_Handler(void);
void INTAD1PDA_Handler(void);
void INTAD0PDB_Handler(void);
void INTAD1PDB_Handler(void);
void INTTB00_Handler(void);
void INTTB01_Handler(void);
void INTTB10_Handler(void);
void INTTB11_Handler(void);
void INTTB40_Handler(void);
void INTTB41_Handler(void);
void INTTB50_Handler(void);
void INTTB51_Handler(void);
void INTPMD0_Handler(void);
void INTPMD1_Handler(void);
void INTCAP00_Handler(void);
void INTCAP01_Handler(void);
void INTCAP10_Handler(void);
void INTCAP11_Handler(void);
void INTCAP40_Handler(void);
void INTCAP41_Handler(void);
void INTCAP50_Handler(void);
void INTCAP51_Handler(void);
void INT6_Handler(void);
void INT7_Handler(void);
void INTRX2_Handler(void);
void INTTX2_Handler(void);
void INTAD0CPA_Handler(void);
void INTAD1CPA_Handler(void);
void INTAD0CPB_Handler(void);
void INTAD1CPB_Handler(void);
void INTTB20_Handler(void);
void INTTB21_Handler(void);
void INTTB30_Handler(void);
void INTTB31_Handler(void);
void INTCAP20_Handler(void);
void INTCAP21_Handler(void);
void INTCAP30_Handler(void);
void INTCAP31_Handler(void);
void INTAD0SFT_Handler(void);
void INTAD1SFT_Handler(void);
void INTAD0TMR_Handler(void);
void INTAD1TMR_Handler(void);
void INT8_Handler(void);
void INT9_Handler(void);
void INTA_Handler(void);
void INTB_Handler(void);
void INTENC0_Handler(void);
void INTENC1_Handler(void);
void INTRX3_Handler(void);
void INTTX3_Handler(void);
void INTTB60_Handler(void);
void INTTB61_Handler(void);
void INTTB70_Handler(void);
void INTTB71_Handler(void);
void INTCAP60_Handler(void);
void INTCAP61_Handler(void);
void INTCAP70_Handler(void);
void INTCAP71_Handler(void);
void INTC_Handler(void);
void INTD_Handler(void);
void INTE_Handler(void);
void INTF_Handler(void);


#pragma location = ".intvec"


const intvec_elem __vector_table[] =
{
  { .__ptr = __sfe( "CSTACK" ) },	/* SP Initial value */
  __iar_program_start,		/* Program start on IAR tooling */
  NMI_Handler,              /* NMI Handler */
  HardFault_Handler,        /* Hard Fault Handler */
  MemManage_Handler,        /* MPU Fault Handler */
  BusFault_Handler,         /* Bus Fault Handler */ 
  UsageFault_Handler,       /* Usage Fault Handler */
  0, 0, 0, 0,               /* Reserved */ 
  SVC_Handler,              /* SVCall Handler */
  DebugMon_Handler,         /* Debug Monitor Handler */
  0,                        /* Reserved */
  PendSV_Handler,           /* PendSV Handler */
  SysTick_Handler,          /* SysTick Handler */

/* External Interrupts */

INT0_Handler,		/*  0 */ /* Interrupt pin (PH0/96pin)    */
INT1_Handler,		/*  1 */ /* Interrupt pin (PH1/95pin)    */
INT2_Handler,		/*  2 */ /* Interrupt pin (PH2/94pin)    */
INT3_Handler,		/*  3 */ /* Interrupt pin (PA0/2pin)     */
INT4_Handler,		/*  4 */ /* Interrupt pin (PA2/4pin)     */
INT5_Handler,		/*  5 */ /* Interrupt pin (PE4/15pin)    */
INTRX0_Handler,		/*  6 */ /* Serial reception (channel.0) */
INTTX0_Handler,		/*  7 */ /* Serial transmit (channel.0)  */
INTRX1_Handler,		/*  8 */ /* Serial reception (channel.1) */
INTTX1_Handler,		/*  9 */ /* Serial transmit (channel.1)  */
INTVCNA_Handler,	/* 10 */ /* Vector Engine A              */
INTVCNB_Handler,	/* 11 */ /* Vector Engine B              */
INTEMG0_Handler,	/* 12 */ /* PMD0 EMG (Emagency stop)     */
INTEMG1_Handler,	/* 13 */ /* PMD1 EMG (Emagency stop)     */
INTOVV0_Handler,	/* 14 */ /* PMD0 OVV (Over Voltage)      */
INTOVV1_Handler,	/* 15 */ /* PMD1 OVV (Over Voltage)      */
INTAD0PDA_Handler,	/* 16 */ /* ADC0 Finish of PMD0 trigger start convertion */
INTAD1PDA_Handler,	/* 17 */ /* ADC1 Finish of PMD0 trigger start convertion */
INTAD0PDB_Handler,	/* 18 */ /* ADC0 Finish of PMD1 trigger start convertion */
INTAD1PDB_Handler,	/* 19 */ /* ADC1 Finish of PMD1 trigger start convertion */
INTTB00_Handler,	/* 20 */ /* 16bit TMRB0 match detection 0 */
INTTB01_Handler,	/* 21 */ /* 16bit TMRB0 match detection 1 */
INTTB10_Handler,	/* 22 */ /* 16bit TMRB1 match detection 0 */
INTTB11_Handler,	/* 23 */ /* 16bit TMRB1 match detection 1 */
INTTB40_Handler,	/* 24 */ /* 16bit TMRB4 match detection 0 */
INTTB41_Handler,	/* 25 */ /* 16bit TMRB4 match detection 1 */
INTTB50_Handler,	/* 26 */ /* 16bit TMRB5 match detection 0 */
INTTB51_Handler,	/* 27 */ /* 16bit TMRB5 match detection 1 */
INTPMD0_Handler,	/* 28 */ /* PMD0 PWM Interrupt            */
INTPMD1_Handler,	/* 29 */ /* PMD1 PWM Interrupt            */
INTCAP00_Handler,	/* 30 */ /* 16bit TMRB0 input capture 0   */
INTCAP01_Handler,	/* 31 */ /* 16bit TMRB0 input capture 1   */
INTCAP10_Handler,	/* 32 */ /* 16bit TMRB1 input capture 0   */
INTCAP11_Handler,	/* 33 */ /* 16bit TMRB1 input capture 1   */
INTCAP40_Handler,	/* 34 */ /* 16bit TMRB2 input capture 0   */
INTCAP41_Handler,	/* 35 */ /* 16bit TMRB2 input capture 1   */
INTCAP50_Handler,	/* 36 */ /* 16bit TMRB3 input capture 0   */
INTCAP51_Handler,	/* 37 */ /* 16bit TMRB3 input capture 1   */
INT6_Handler,		/* 38 */ /* Interrupt pin (PE6/17pin)     */
INT7_Handler,		/* 39 */ /* Interrupt pin (PE7/18pin)     */
INTRX2_Handler,		/* 40 */ /* Serial reception (channel.2)  */
INTTX2_Handler,		/* 41 */ /* Serial transmission (channel.2)*/
INTAD0CPA_Handler,	/* 42 */ /* ADC0 Monitor A                */
INTAD1CPA_Handler,	/* 43 */ /* ADC1 Monitor A                */
INTAD0CPB_Handler,	/* 44 */ /* ADC0 Monitor B                */
INTAD1CPB_Handler,	/* 45 */ /* ADC1 Monitor B                */
INTTB20_Handler,	/* 46 */ /* 16bit TMRB2 match detection 0 */
INTTB21_Handler,	/* 47 */ /* 16bit TMRB2 match detection 1 */
INTTB30_Handler,	/* 48 */ /* 16bit TMRB3 match detection 0 */
INTTB31_Handler,	/* 49 */ /* 16bit TMRB3 match detection 1 */
INTCAP20_Handler,	/* 50 */ /* 16bit TMRB2 input capture 0   */
INTCAP21_Handler,	/* 51 */ /* 16bit TMRB2 input capture 1   */
INTCAP30_Handler,	/* 52 */ /* 16bit TMRB3 input capture 0   */
INTCAP31_Handler,	/* 53 */ /* 16bit TMRB3 input capture 1   */
INTAD0SFT_Handler,	/* 54 */ /* ADC0 Finish of PMD0 soft start convertion */
INTAD1SFT_Handler,	/* 55 */ /* ADC1 Finish of PMD0 soft start convertion */
INTAD0TMR_Handler,	/* 56 */ /* ADC0 Finish of PMD1 timer start convertion */
INTAD1TMR_Handler,	/* 57 */ /* ADC1 Finish of PMD1 timer start convertion */
INT8_Handler,		/* 58 */ /* Interrupt pin (PA7/9pin)      */
INT9_Handler,		/* 59 */ /* Interrupt pin (PD3/33pin)     */
INTA_Handler,		/* 60 */ /* Interrupt pin (FTEST2/21pin)  */
INTB_Handler,		/* 61 */ /* Interrupt pin (FTEST3/20pin)  */
INTENC0_Handler,	/* 62 */ /* Encoder timer 0               */
INTENC1_Handler,	/* 63 */ /* Encoder timer 1               */
INTRX3_Handler,		/* 64 */ /* Serial reception (channel.3)  */
INTTX3_Handler,		/* 65 */ /* Serial transmission (channel.3)*/
INTTB60_Handler,	/* 66 */ /* 16bit TMRB6 match detection 0 */
INTTB61_Handler,	/* 67 */ /* 16bit TMRB6 match detection 1 */
INTTB70_Handler,	/* 68 */ /* 16bit TMRB7 match detection 0 */
INTTB71_Handler,	/* 69 */ /* 16bit TMRB7 match detection 1 */
INTCAP60_Handler,	/* 70 */ /* 16bit TMRB6 input capture 0   */
INTCAP61_Handler,	/* 71 */ /* 16bit TMRB6 input capture 1   */
INTCAP70_Handler,	/* 72 */ /* 16bit TMRB7 input capture 0   */
INTCAP71_Handler,	/* 73 */ /* 16bit TMRB7 input capture 1   */
INTC_Handler,		/* 74 */ /* Interrupt pin (PJ6/74pin)     */
INTD_Handler,		/* 75 */ /* Interrupt pin (PJ7/73pin)     */
INTE_Handler,		/* 76 */ /* Interrupt pin (PK0/72pin)     */
INTF_Handler,		/* 77 */ /* Interrupt pin (PK1/71pin)     */

};

/*************************** END OF FILE **************************************/
